> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/servoy-packages/package.md).

# Package

## Overview

A package node can either be a zip file or a project. Actions on it depend on its type. The zip file is readonly while the project itself can be further customized.\
Expanding a package node will show its contained elements.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                                                     | Summary                                   |
| --------------------------------------------------------------------------- | ----------------------------------------- |
| [Create new Component/Service/Layout](#create-new-component-service-layout) | Creates a new component/service/layout    |
| [Remove Reference to this Package](#remove-reference-to-this-package)       | Removes reference to this Package Project |
| [Edit Package details](#edit-package-details)                               | Edits Package Project details             |
| [Delete Package](#delete-package)                                           | Deletes package                           |

## Commands Details

The details for each command available on this item via right-click context menu:

### Create new Component/Service/Layout

Only available for Package Project (not for zip files). Can add a new component, service or layout to the package (depending on package type).

### Remove Reference to this Package

Only available for Package Project (not for zip files; zip files can only be deleted altogether). Removes reference to Package Project (will not delete the project itself).

### Edit Package details

Only available for Package Project (not for zip files). Edits package name and version.

### Delete Package

Deletes (from local disk), the package project or zip file.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/servoy-packages/package.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
